JUCE: ScaledImage Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScaledImage Class Reference
juce_graphics » images

An image that will be resampled before it is drawn. More...

`#include <juce_ScaledImage.h>`

## Public Member Functions
| ScaledImage ()=default
| Creates a ScaledImage with an invalid image and unity scale.
| ScaledImage (const Image &imageIn)
| Creates a ScaledImage from an Image, where the dimensions of the image in pixels are exactly equal to its dimensions in points.
| ScaledImage (const Image &imageIn, double scaleIn)
| Creates a ScaledImage from an Image, using a custom scale factor.
Image | getImage () const
| Returns the image at its original dimensions.
double | getScale () const
| Returns the image's scale.
Rectangle< double > | getScaledBounds () const
| Returns the bounds of this image expressed in points.

## Detailed Description

An image that will be resampled before it is drawn.

A plain Image only stores plain pixels, but does not store any information about how these pixels correspond to points. This means that if the image's dimensions are interpreted as points, then the image will be blurry when drawn on high resolution displays. If the image's dimensions are instead interpreted as corresponding to exact pixel positions, then the logical size of the image will change depending on the scale factor of the screen used to draw it.

The ScaledImage class is designed to store an image alongside a scale factor that informs a renderer how to convert between the image's pixels and points.

## Constructor & Destructor Documentation

## ◆ ScaledImage() [1/3]

ScaledImage::ScaledImage | ( |  | ) |
| default

Creates a ScaledImage with an invalid image and unity scale.

## ◆ ScaledImage() [2/3]

ScaledImage::ScaledImage | ( | const Image & | imageIn | ) |
| explicit

Creates a ScaledImage from an Image, where the dimensions of the image in pixels are exactly equal to its dimensions in points.

## ◆ ScaledImage() [3/3]

ScaledImage::ScaledImage | ( | const Image & | imageIn,
|  | double | scaleIn
| ) |  |

Creates a ScaledImage from an Image, using a custom scale factor.

A scale of 1.0 means that the image's dimensions in pixels is equal to its dimensions in points.

A scale of 2.0 means that the image contains 2 pixels per point in each direction.

## Member Function Documentation

## ◆ getImage()

Image ScaledImage::getImage | ( |  | ) | const

Returns the image at its original dimensions.

References image.

## ◆ getScale()

double ScaledImage::getScale | ( |  | ) | const

Returns the image's scale.

## ◆ getScaledBounds()

Rectangle< double > ScaledImage::getScaledBounds | ( |  | ) | const

Returns the bounds of this image expressed in points.

References image.

The documentation for this class was generated from the following file:

- juce_ScaledImage.h